Counts schedules that will lose context when readable tasks are deleted.

GEThttps://api.awork.com/api/v1/agents/schedules/taskdeletionimpact
GET https://api.awork.com/api/v1/agents/schedules/taskdeletionimpact

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

taskIdsarray of stringRequired

The tasks that may be deleted.

Responses

200 OK

application/json

scheduleCountintegerOptional
format: int32

The number of schedules that will lose a deleted task context.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation